package tauzaman;

/**
* <code>DynamicLoadException</code> class is a wrapper class
* for all exceptions thrown by Dynamic Class loading.
* 
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
* @status design complete, implementation complete
*/

public class DynamicLoadException extends TauZamanException{
 
  /**
  * Constructs a <code>DynamicLoadException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  */
  public DynamicLoadException(String message){
      super(message);
  }

  /**
  * Constructs a <code>DynamicLoadException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  */
  public DynamicLoadException(String message, Throwable cause){
      super(message, cause);
  }

}
