package tauzaman.calendar;

import tauzaman.TauZamanException;


/**
* <code>CalendarFormationException</code> class represents a set of Exceptions
* related to formation of <code>Calendar</code>s. For example; Parsing errors, 
* URL errors, etc.
* 
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
*
* @status Design complete, implementation not started
*/

public class CalendarFormationException extends TauZamanException{
 
  /**
  * Constructs a <code>CalendarFormationException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  *
  */
  public CalendarFormationException(String message){
      super(message);
  }

  /**
  * Constructs a <code>CalendarFormationException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  *
  */
  public CalendarFormationException(String message, Throwable cause){
      super(message, cause);
  }

}
