package tauzaman.calendar;

import tauzaman.TauZamanException;

/**
* <code>CalendarServiceException</code> class represents a set of Exceptions
* related to service of <code>Calendar</code>s. For example; regular function 
* callings, cast and scale function callings, etc.
* 
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
* 
* @status Design complete, implementation not started
*/

public class CalendarServiceException extends TauZamanException{
 
  /**
  * Constructs a <code>CalendarServiceException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  *
  */
  public CalendarServiceException(String message){
      super(message);
  }

  /**
  * Constructs a <code>CalendarServiceException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  *
  */
  public CalendarServiceException(String message, Throwable cause){
      super(message, cause);
  }

}
