package tauzaman.calendricsystem;

import tauzaman.TauZamanException;

/**
* <code>CalendricSystemServiceException</code> class represents a set of Exceptions
* related to service of <code>CalendricSystem</code>s.
*
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
*
* @status Design complete, implementation not started
*/

public class CalendricSystemServiceException extends TauZamanException{

  /**
  * Constructs a <code>CalendricSystemServiceException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  *
  */
  public CalendricSystemServiceException(String message){
      super(message);
  }

  /**
  * Constructs a <code>CalendricSystemServiceException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  *
  */
  public CalendricSystemServiceException(String message, Throwable cause){
      super(message, cause);
  }

}
