package tauzaman.field;

import tauzaman.TauZamanException;

/**
* <code>FVFormationException</code> class represents a set of Exceptions      
* related to parsing of <code>FVSupport</code>s.
* 
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
* 
* @status Design complete, implementation not started                     
*/

public class FVFormationException extends TauZamanException{
 
  /**
  * Constructs a <code>FVFormationException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  *
  */
  public FVFormationException(String message){
      super(message);
  }

  /**
  * Constructs a <code>FVFormationException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  *
  */
  public FVFormationException(String message, Throwable cause){
      super(message, cause);
  }

}
