package tauzaman.io;

import tauzaman.TauZamanException;
  
/**
* <code>IOException</code> class represents a set of Exceptions
* related to Input/Output parsing. 
*
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
* @status Design complete, implementation not started
*/   
  
public class IOException extends TauZamanException{
  
  /**
  * Constructs an <code>IOException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  *
  */
  public IOException(String message){
      super(message);
  }

  /**
  * Constructs an <code>IOException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *  
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  *
  */
  public IOException(String message, Throwable cause){
      super(message, cause);
  }

}
