package tauzaman.property;

import tauzaman.TauZamanException;

/**
* <code>PropertyServiceException</code> class represents a set of Exceptions
* related to service of <code>Property</code>. 
* 
* @author Curtis Dyreson and Bedirhan Urgun
* @version 0.1. 01/06/02
* 
* @status Design complete, implementation not started
*/

public class PropertyServiceException extends TauZamanException{
 
  /**
  * Constructs a <code>PropertyServiceException</code> object given a detailed explanation of
  * abnormal condition in String message.
  *
  * @param message a detailed explanation of abnormal condition
  */
  public PropertyServiceException(String message){
      super(message);
  }

  /**
  * Constructs a <code>PropertyServiceException</code> object given a detailed explanation of
  * abnormal condition in String message and another exception, which
  * is the immediate cause of this exception.
  *
  * @param message a detailed explanation of abnormal condition
  * @param cause a Throwable object, which is the cause of this exception
  */
  public PropertyServiceException(String message, Throwable cause){
      super(message, cause);
  }

}
